package com.engine.thinktrans.util;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.IntStream;

/**
 * @Author liang.cheng
 * @Date 2023/11/16 5:58 PM
 * @Description: TODO
 * @Version 1.0
 */
public class OperateUtil {

    public static List<String> sumLists(List<String>... lists) {
        return Arrays.stream(lists)
                .flatMap(List::stream)
                .skip(1)
                .map(OperateUtil::sumDigits)
                .collect(Collectors.toList());
    }

    private static String sumDigits(String str) {
        int sum = IntStream.range(0, str.length())
                .map(i -> str.charAt(i) - '0')
                .sum();
        return String.valueOf(sum);
    }
}
