package weaver.interfaces.thinktrans.cron;

import com.engine.common.util.ServiceUtil;
import com.engine.thinktrans.service.CubeRecordDataService;
import com.engine.thinktrans.service.impl.CubeRecordDataServiceImpl;
import weaver.hrm.User;
import weaver.interfaces.schedule.BaseCronJob;

import java.time.Year;

/**
 * @Author liang.cheng
 * @Date 2023/11/20 5:56 PM
 * @Description: 离职率
 * @Version 1.0
 */
public class DimissionCronJob extends BaseCronJob {

    private CubeRecordDataService getCubeRecordDataService(User user) {
        return ServiceUtil.getService(CubeRecordDataServiceImpl.class,user);
    }

    private String year;

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    @Override
    public void execute() {

        User user = new User();
        user.setUid(1);
        if (year == null) {
            year = String.valueOf(Year.now().getValue());
        }
        getCubeRecordDataService(user).dimissionRate(Integer.valueOf(year));
    }
}
