package com.engine.thinktrans.service;

import com.engine.thinktrans.entity.param.PersonnelSizeTopParam;
import com.engine.thinktrans.entity.param.TendencyReportParam;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;


/**
 * @Author liang.cheng
 * @Date 2023/11/17 2:03 PM
 * @Description: TODO
 * @Version 1.0
 */
public interface ReportExportService {


    /**
     * @Description: 年度人力趋势报表
     * @Author: liang.cheng
     * @Date: 2023/11/17 2:43 PM
     * @param: [tendencyReportParam]
     * @return: org.apache.poi.xssf.usermodel.XSSFWorkbook
     */
    XSSFWorkbook personTendencyExport(TendencyReportParam tendencyReportParam);

    /**
     * @Description: 实时在职人数统计
     * @Author: liang.cheng
     * @Date: 2023/11/20 3:02 PM
     * @param: []
     * @return: org.apache.poi.xssf.usermodel.XSSFWorkbook
     */
    XSSFWorkbook onJobStatisticsExport();

    /**
     * @Description: 公司人员规模分析
     * @Author: liang.cheng
     * @Date: 2023/11/22 3:02 PM
     * @param: [year]
     * @return: org.apache.poi.xssf.usermodel.XSSFWorkbook
     */
    XSSFWorkbook personnelSizeExport(PersonnelSizeTopParam param);
}
